### Analysis of phylogenetic structure at assemblage level
library("picante")
comm <- read.csv("community_data.csv", header = TRUE, row.names = 1)
phy <- read.nexus("arbol")
combined <- match.phylo.comm(phy, comm)
phy <- combined$phy
comm <- combined$comm
phy.dist <- cophenetic(phy)
# calculate ses.mpd
comm.sesmpd <- ses.mpd(comm, phy.dist, null.model = "taxa.labels", abundance.weighted = FALSE, 
                       runs = 10000)
comm.sesmpd
# calculate ses.mntd
comm.sesmntd <- ses.mntd(comm, phy.dist, null.model = "taxa.labels", abundance.weighted = FALSE, 
                         runs = 10000)
comm.sesmntd

### Analysis of phylogenetic structure at module level
# community data
comm <- read.csv("phylo_struct_modules.csv", header = TRUE, row.names = 1)
# phylogeny data
phy <- read.nexus("arbol")
# check for mismatches/missing species
combined <- match.phylo.comm(phy, comm)
# replace our original data with the sorted/matched data
phy <- combined$phy
comm <- combined$comm
# convert phylogenety to a distance matrix
phy.dist <- cophenetic(phy)
# calculate ses.mpd
comm.sesmpd <- ses.mpd(comm, phy.dist, null.model = "taxa.labels", abundance.weighted = FALSE, 
                       runs = 10000)
comm.sesmpd
# calculate ses.mntd
comm.sesmntd <- ses.mntd(comm, phy.dist, null.model = "taxa.labels", abundance.weighted = FALSE, 
                         runs = 10000)
comm.sesmntd

#### null models

comm <- read.csv("community_data.csv", header = TRUE, row.names = 1)

comm <- read.csv("phylo_struct_modules.csv", header = TRUE, row.names = 1)
phy <- read.nexus("arbol")
combined <- match.phylo.comm(phy, comm)
phy <- combined$phy
comm <- combined$comm
phy.dist <- cophenetic(phy)
comm.sesmpd <- ses.mpd(comm, phy.dist, null.model = "richness", abundance.weighted = FALSE, 
                       runs = 1000)
comm.sesmntd <- ses.mntd(comm, phy.dist, null.model = "richness", abundance.weighted = FALSE, 
                         runs = 1000)

